<?php
	require 'customizer-callback/footer-typo.php';
	// Footer copyright.

	// copyright text heading.
		$wp_customize->add_setting(
			'leatherhouse_footer_copyright_th',
			array(
				'capability'        => 'edit_theme_options',
				'sanitize_callback' => 'leatherhouse_sanitize_text',
			)
		);

		$wp_customize->add_control(
			'leatherhouse_footer_copyright_th',
			array(
				'type'            => 'hidden',
				'label'           => __( 'Copyright Text', 'leather-house' ),
				'section'         => 'leatherhouse_footer_copyright',
				'priority'        => 9,
				'active_callback' => 'leatherhouse_footer_copyright_th',
			)
		);

		// copyright text setting.
		$wp_customize->add_setting(
			'leatherhouse_footer_copyright_text',
			array(
				'sanitize_callback' => 'leatherhouse_sanitize_text',
				'default'           => __( '&copy; Leather House Premium Theme 2024', 'leather-house' ),
				'transport'         => $selective_refresh,
			)
		);

		$wp_customize->add_control(
			'leatherhouse_footer_copyright_text',
			array(
				'label'           => esc_html__( 'Add Copyright Text', 'leather-house' ),
				'section'         => 'leatherhouse_footer_copyright',
				'priority'        => 10,
				'type'            => 'textarea',
				'active_callback' => 'leatherhouse_footer_copyright_text',
			)
		);

		// Copyright Logo Heading.
		$wp_customize->add_setting(
			'leatherhouse_footer_copy_social_icon',
			array(
				'capability'        => 'edit_theme_options',
				'sanitize_callback' => 'leatherhouse_sanitize_text',
			)
		);

		$wp_customize->add_control(
			'leatherhouse_footer_copy_social_icon',
			array(
				'type'            => 'hidden',
				'label'           => __( 'Social Icon', 'leather-house' ),
				'section'         => 'leatherhouse_footer_copyright',
				'priority'        => 18,
				'active_callback' => 'leatherhouse_footer_copy_social_icon',
			)
		);

		// Copyright Logo Heading.
		$wp_customize->add_setting(
			'leatherhouse_footer_copy_img',
			array(
				'capability'        => 'edit_theme_options',
				'sanitize_callback' => 'leatherhouse_sanitize_text',
			)
		);

		$wp_customize->add_control(
			'leatherhouse_footer_copy_img',
			array(
				'type'            => 'hidden',
				'label'           => __( 'Logo', 'leather-house' ),
				'section'         => 'leatherhouse_footer_copyright',
				'priority'        => 20,
				'active_callback' => 'leatherhouse_footer_copy_img',
			)
		);

		// Copyright Logo Image.
		$wp_customize->add_setting(
			'leatherhouse_footer_first_img',
			array(
				'default'           => esc_url( get_template_directory_uri() . '/assets/images/logo.png' ),
				'capability'        => 'edit_theme_options',
				'sanitize_callback' => 'leatherhouse_sanitize_url',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'leatherhouse_footer_first_img',
				array(
					'label'           => esc_html__( 'Choose Image', 'leather-house' ),
					'section'         => 'leatherhouse_footer_copyright',
					'priority'        => 21,
					'active_callback' => 'leatherhouse_footer_first_img',
				)
			)
		);


		// this setting is footer widgets setting.
		// Copyright Logo Image.
		$wp_customize->add_setting(
			'leatherhouse_footer_bg_img',
			array(
				'default'           => esc_url( get_template_directory_uri() . '/assets/images/footer.webp' ),
				'capability'        => 'edit_theme_options',
				'sanitize_callback' => 'leatherhouse_sanitize_url',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'leatherhouse_footer_bg_img',
				array(
					'label'           => esc_html__( 'Footer Background Image', 'leather-house' ),
					'section'         => 'leatherhouse_footer_widgets',
					'priority'        => 50,
					'active_callback' => 'leatherhouse_footer_bg_img',
				)
			)
		);
